<?php
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
only_level(4);
$set['title'] = 'Настройка автоочистки';
include_once '../sys/inc/thead.php';
title();
aut();
if (isset($user)&& $user['level']<=3){
echo 'А что это Ты здесь забыл? Ну-ка иди отсюда, нечего тебе тут делать!';
include_once '../sys/inc/tfoot.php';
exit;
}
$trunc=mysql_fetch_array(mysql_query("SELECT * FROM `truncate`"));
// очистка почты Системы
if (isset($_GET['system'])){
mysql_query("DELETE FROM `mail` WHERE `id_user` = '0' OR `id_kont` = '0'");
msg('Очистка прошла успешно');
}
// принудительная очистка
if (isset($_GET['now'])){
if (isset($user)&& $trunc['mail']==1)
mysql_query("TRUNCATE TABLE `mail`");

if (isset($user)&& $trunc['tape']==1)
mysql_query("TRUNCATE TABLE `tape`");
if (isset($user)&& $trunc['discussions']==1)
mysql_query("TRUNCATE TABLE `discussions`");
if (isset($user)&& $trunc['notification']==1)
mysql_query("TRUNCATE TABLE `notification`");
msg('Очистка прошла успешно');
}
// запланированная очистка
if (isset($_GET['set'])){
mysql_query("TRUNCATE TABLE `truncate`");
mysql_query("INSERT INTO `truncate` (`mail`) values('0')");
if (isset($_POST['mail']) && $_POST['mail']==1)
{
$trunc['mail']=1;
mysql_query("UPDATE `truncate` SET `mail` = '1' LIMIT 1");
}
else
{
$trunc['mail']=0;
mysql_query("UPDATE `truncate` SET `mail` = '0' LIMIT 1");
}
if (isset($_POST['tape']) && $_POST['tape']==1)
{
$trunc['tape']=1;
mysql_query("UPDATE `truncate` SET `tape` = '1' LIMIT 1");
}
else
{
$trunc['tape']=0;
mysql_query("UPDATE `truncate` SET `tape` = '0' LIMIT 1");
}
if (isset($_POST['discussions']) && $_POST['discussions']==1)
{
$trunc['discussions']=1;
mysql_query("UPDATE `truncate` SET `discussions` = '1' LIMIT 1");
}
else
{
$trunc['discussions']=0;
mysql_query("UPDATE `truncate` SET `discussions` = '0' LIMIT 1");
}
if (isset($_POST['notification']) && $_POST['notification']==1)
{
$trunc['notification']=1;
mysql_query("UPDATE `truncate` SET `notification` = '1' LIMIT 1");
}
else
{
$trunc['notification']=0;
mysql_query("UPDATE `truncate` SET `notification` = '0' LIMIT 1");
}
if (isset($_POST['time'])){
$timer=$time+=intval($_POST['time'])*60*60*24*7;
mysql_query("UPDATE `truncate` SET `time` = '$timer'  LIMIT 1");
mysql_query("UPDATE `truncate` SET `time_dat` = '".$_POST['time']."'  LIMIT 1");
}
header("Location: ?");
}
// параметры установки автоочистки
echo "<div class='nav1'>";
echo "Следующая очистка в :<br/><font color='red'>".vremja($trunc['time'])."</font>";
echo "</div>";
echo '<form action="?set" method="post">';
echo "<label><input type='checkbox' name='mail'".($trunc['mail']?" checked='checked'":null)." value='1' />Очищать почту</label><br />\n";
echo "<label><input type='checkbox' name='tape'".($trunc['tape']?" checked='checked'":null)." value='1' />Очищать ленту</label><br />\n";
echo "<label><input type='checkbox' name='discussions'".($trunc['discussions']?" checked='checked'":null)." value='1' />Очищать обсуждения</label><br />\n";
echo "<label><input type='checkbox' name='notification'".($trunc['notification']?" checked='checked'":null)." value='1' />Очищать уведомления</label><br />\n";
echo "Автоочистка будет происходить каждые:<br />";
echo "<input type='text' name='time' value='$trunc[time_dat]' maxlength='11' size='3' />\n";
echo "недели<br />\n";
echo "<input type='submit' name='save' value='Сохранить' />\n";
echo "</form>\n";



echo '<a href="?now"><div class="main">Принудительная очистка</a></div>';
echo '<a href="?system"><div class="main">Очистить почту Системы</a></div>';

include_once '../sys/inc/tfoot.php';
?>
